MSK4Text.cxx File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <map>`
`#include <vector>`
`#include <libwpd/libwpd.h>`
`#include "libmwaw_internal.hxx"`
`#include "MWAWContentListener.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MSK4Zone.hxx"`
`#include "MSK4Text.hxx"`

## Classes

struct | MSK4PLCInternal::PLC
| Internal and low level: the PLC different types and their structures. More...
struct | MSK4PLCInternal::KnownPLC
| a map of known plc More...
class | MSK4TextInternal::FontName
| Internal: class to store a font name: name with sysid. More...
struct | MSK4TextInternal::Font
| Internal: class to store a font properties. More...
struct | MSK4TextInternal::Paragraph
| Internal: class to store a paragraph properties. More...
struct | MSK4TextInternal::Ftnt
| Internal: class to store footnote definition. More...
struct | MSK4TextInternal::Token
| Internal: class to store field definition: TOKN entry. More...
struct | MSK4TextInternal::Object
| Internal: class to store field definition: TOKN entry. More...
struct | MSK4TextInternal::DataPLC
| Internal: class to store the PLC: Pointer List Content ? More...
struct | MSK4TextInternal::State
| Internal: the state of a MSK4Text. More...

## Namespaces

| MSK4TextInternal
| Internal: the structures of a MSK4Text.
| MSK4PLCInternal
| Internal and low level: the structures of a MSK4Text used to parse PLC.

## Enumerations

enum | MSK4TextInternal::PLCType { MSK4TextInternal::BTE =0, MSK4TextInternal::PGD, MSK4TextInternal::FTNT, MSK4TextInternal::TOKEN, MSK4TextInternal::EOBJ, MSK4TextInternal::Unknown }
| different types More...

## Functions

std::ostream & | MSK4TextInternal::operator<< (std::ostream &o, FontName const &ft)
| operator<< for a font name More...
std::ostream & | MSK4TextInternal::operator<< (std::ostream &o, Font const &ft)
| operator<< for a font More...
std::ostream & | MSK4TextInternal::operator<< (std::ostream &o, Paragraph const &ind)
| operator<< More...
std::ostream & | MSK4TextInternal::operator<< (std::ostream &o, Ftnt const &ftnt)
| operator<< for footnote More...
std::ostream & | MSK4TextInternal::operator<< (std::ostream &o, Token const &tok)
| operator<< for Token More...
std::ostream & | MSK4TextInternal::operator<< (std::ostream &o, Object const &obj)
| operator<< for Object More...
std::ostream & | MSK4TextInternal::operator<< (std::ostream &o, DataPLC const &plc)
| operator<< for DataPLC More...